Bug 1419731 - Enable aarch64, ppc64le in dpdk
Summary: Enable aarch64, ppc64le in dpdk
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dpdk
Version: 26
Hardware: Unspecified
OS: Linux
medium
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-02-06 21:57 UTC by Yaakov Selkowitz
Modified: 2018-05-03 14:19 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-03 14:19:16 UTC


Attachments (Terms of Use)
Preliminary patch for rawhide, builds on aarch64, fails on ppc64le (2.11 KB, patch)
2017-02-06 21:59 UTC, Yaakov Selkowitz
no flags Details | Diff
Patch for rawhide (2.43 KB, patch)
2017-02-06 23:06 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2017-02-06 21:57:59 UTC
Recent versions of dpdk advertise support for ARM and POWER platforms.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17637841 (aarch64)
https://koji.fedoraproject.org/koji/taskinfo?taskID=17637843 (ppc64le)

Unfortunately, the latter fails when linking the test app:

test_pmd_ring.o: In function `test_pmd_ring':
/builddir/build/BUILD/dpdk-16.11/app/test/test_pmd_ring.c:451: undefined reference to `rte_eth_from_rings'
test_pmd_ring.o: In function `test_pmd_ring':
test_pmd_ring.c:(.text+0x1ef8): undefined reference to `rte_eth_from_rings'
test_pmd_ring.c:(.text+0x1f24): undefined reference to `rte_eth_from_rings'
test_pmd_ring.c:(.text+0x1f50): undefined reference to `rte_eth_from_rings'
test_pmd_ring.c:(.text+0x1f84): undefined reference to `rte_eth_from_rings'
test_pmd_ring_perf.o: In function `test_ring_pmd_perf':
/builddir/build/BUILD/dpdk-16.11/app/test/test_pmd_ring_perf.c:170: undefined reference to `rte_eth_from_ring'

FWIW, armv7hl is also supposedly included in the sources, but numactl currently ExcludeArch's it.

Comment 1 Yaakov Selkowitz 2017-02-06 21:59 UTC
Created attachment 1248197 [details]
Preliminary patch for rawhide, builds on aarch64, fails on ppc64le

Comment 2 Yaakov Selkowitz 2017-02-06 23:06:05 UTC
Found a solution for ppc64le in OpenSUSE[1]:

%ifarch ppc64le
setconf CONFIG_RTE_LIBRTE_PMD_RING n
%endif

https://koji.fedoraproject.org/koji/taskinfo?taskID=17638975 succeeded with that.

FWIW, they also setconf CONFIG_RTE_LIBRTE_DISTRIBUTOR n on both aarch64 and ppc64le.  I'm not sure why though, as the build succeeds without it.

[1] https://build.opensuse.org/package/view_file/network/dpdk/dpdk.spec?expand=1

Comment 3 Yaakov Selkowitz 2017-02-06 23:06 UTC
Created attachment 1248225 [details]
Patch for rawhide

Comment 4 Neil Horman 2017-02-07 16:58:59 UTC
I'm a bit lost as to why the ring pmd would fail on arm, its a software only construct.  I'll fix that up and get this submitted, thanks!

Comment 5 Fedora End Of Life 2017-02-28 11:12:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora End Of Life 2018-05-03 08:25:15 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.